Subject: Re: [dispatch] Deriving URI from MAC-based URN ???

From: "Hannes Tschofenig" <[email-masked]>
Date: Wed, 21 Sep 2011 19:44:14 +0200

Hope I understand the proposal correctly but putting a MAC address in a URI is from a privacy point of view a bad idea. We got a lot of feedback when a MAC address was put into the IPv6 interface identifier. The result was the work on RFC 3041, which was later obsoleted by RFC 4941.
----- Ursprüngliche Nachricht -----
Von: Paul Kyzivat
Gesendet: 21.09.11 20:32 Uhr
An: [email-masked]
Betreff: [dispatch] Deriving URI from MAC-based URN ???

 On 9/20/11 3:51 PM, Worley, Dale R (Dale) wrote: > I don't see what interoperability problems can result from the > introduction of an additional format of URN, as long as the format > adheres to the generic URN syntax. RFC 5626 section 4.1 makes it > clear that a SIP element may receive a +sip.instance value which is in > a URN namespace that it does not recognize, so any properly > constructed SIP element should be able to handle +sip.instance values > in namespaces that it does not have prior knowledge of. > > (Certainly, the one product/project that I have detailed knowledge of > has always treated +sip.instance as a string. Thereon hangs a tale: > If the +sip.instance is a UUID-based URN, and if the UUID is based on > a MAC address, the registrar extracts the MAC address so that the UA > can be addressed through a special URI that encodes its MAC address. > But it turns out that a popular make of UA formats its UUIDs > incorrectly, so that it was not recognized as a MAC
 -based UUID. We've > had to add special code to the registrar to recognize this defective > URN format!) Can you say more? (Or is this all proprietary?) This usage sounds bizarre. The REGISTER contains the Contact URI at which the UA wishes to be reached. What is the point of forming a different URI from the MAC? How can you know that it will work? Thanks, Paul _______________________________________________ dispatch mailing list [email-masked] https://www.ietf.org/mailman/listinfo/dispatch